# Conversión de casos (data frame) a tabla
TC=table(CIS3041a$P1,CIS3041a$ESTUDIOS,CIS3041a$P31,dnn=c("P1","ESTUDIOS","P31"))
TC
# Análisis log-lineal: modelo saturado
MS=glm(Freq ~ P1*ESTUDIOS*P31, data=TC, family=poisson(link="log"))
summary(MS)
# Función step: selección de modelo a partir del modelo saturado
step(MS, direction="backward", test="Chisq")

